//+------------------------------------------------------------------+
//| #BobokusFibo.mq4 modified from
//| #SpudFibo.mq4
//| http://www.forexfactory.com/showthread.php?t=50767
//+------------------------------------------------------------------+
#property  indicator_chart_window

#property indicator_buffers 3
#property indicator_color1 Navy 
#property indicator_color2 RoyalBlue 
#property indicator_color3 DodgerBlue 

double HiPrice, LoPrice, Range;
datetime StartTime;

// RoyalBlue - 14772545
// LightCoral - 8421616
// Orchid - 14053594
// Palegreen - 10025880
string fibs[]={   "Up Fibo","14772545",
                  "Down Fibo","8421616",
                  "Retracement Fibo","10025880",
                  "Daily Fibo","14053594"};
string boxname;
int i=0;


int init()
{
   return(0);
}

int deinit()
{
   return(0);
}

//+------------------------------------------------------------------+
//| Indicator start function
//+------------------------------------------------------------------+

int start()
{
   for (i=0;i<ArraySize(fibs);i=i+2)
   {
		if(ObjectFind(fibs[i]) != -1)
		{
			StartTime = ObjectGet(fibs[i],OBJPROP_TIME1);
			HiPrice = ObjectGet(fibs[i],OBJPROP_PRICE1);
			LoPrice = ObjectGet(fibs[i],OBJPROP_PRICE2);
			
			boxname = StringConcatenate(fibs[i],"_box");
			
			if(ObjectFind(boxname) == -1)
			{
			   ObjectCreate(boxname, OBJ_RECTANGLE, 0, StartTime, 
			            HiPrice-(HiPrice-LoPrice)*0.382, StartTime+100000000, HiPrice-(HiPrice-LoPrice)*0.619);
			            // Used 0.619 to have full box

   	   	ObjectSet(boxname,    OBJPROP_COLOR, StrToDouble(fibs[i+1]));
            ObjectSet(boxname,    OBJPROP_RAY, 0 );
   		}
   		else
   		{
		      ObjectSet(boxname,OBJPROP_TIME1, StartTime);
		      ObjectSet(boxname,OBJPROP_TIME2, StartTime+100000000);
		      ObjectSet(boxname,OBJPROP_PRICE1, HiPrice-(HiPrice-LoPrice)*0.382);
		      ObjectSet(boxname,OBJPROP_PRICE2, HiPrice-(HiPrice-LoPrice)*0.619);  	
   	   	ObjectSet(boxname,OBJPROP_COLOR, StrToDouble(fibs[i+1]));
            ObjectSet(boxname,OBJPROP_RAY, 0 );	
   		}
      }
	}
	
	return(0);
}
//+------------------------------------------------------------------+

