//+------------------------------------------------------------------+
//| #BobokusFibo.mq4 modified from
//| #SpudFibo.mq4
//| http://www.forexfactory.com/showthread.php?t=50767
//+------------------------------------------------------------------+
#property  indicator_chart_window

#property indicator_buffers 3
#property indicator_color1 Yellow 
#property indicator_color2 Yellow 
#property indicator_color3 Yellow 

double HiPrice, LoPrice, Range;
datetime StartTime;

int init()
{
   return(0);
}

int deinit()
{
   ObjectDelete("LongFibo2");
   ObjectDelete("ShortFibo2");
   ObjectDelete("MNFibo2");
   return(0);
}

//+------------------------------------------------------------------+
//| Draw Fibo
//+------------------------------------------------------------------+

int DrawFibo()
{
	if(ObjectFind("LongFibo2") == -1)
		ObjectCreate("LongFibo2",OBJ_FIBO,0,StartTime,HiPrice+Range,StartTime,HiPrice);
	else
	{
		ObjectSet("LongFibo2",OBJPROP_TIME2, StartTime);
		ObjectSet("LongFibo2",OBJPROP_TIME1, StartTime);
		ObjectSet("LongFibo2",OBJPROP_PRICE1,HiPrice+Range);
		ObjectSet("LongFibo2",OBJPROP_PRICE2,HiPrice);
	}
   ObjectSet("LongFibo2",OBJPROP_LEVELCOLOR,indicator_color1);
   ObjectSet("LongFibo2",OBJPROP_FIBOLEVELS,4);
   ObjectSet("LongFibo2",OBJPROP_FIRSTLEVEL+0,0.382);	ObjectSetFiboDescription("LongFibo2",0,"138.2"); 
   ObjectSet("LongFibo2",OBJPROP_FIRSTLEVEL+1,0.618);	ObjectSetFiboDescription("LongFibo2",1,"161.8"); 
   ObjectSet("LongFibo2",OBJPROP_FIRSTLEVEL+2,1.618);	ObjectSetFiboDescription("LongFibo",2,"Monthly Long Target 4 -  "); 

   ObjectSet("LongFibo2",OBJPROP_RAY,true);
   ObjectSet("LongFibo2",OBJPROP_BACK,true);

	if(ObjectFind("ShortFibo2") == -1)
		ObjectCreate("ShortFibo2",OBJ_FIBO,0,StartTime,LoPrice-Range,StartTime,LoPrice);
	else
	{
		ObjectSet("ShortFibo2",OBJPROP_TIME2, StartTime);
		ObjectSet("ShortFibo2",OBJPROP_TIME1, StartTime);
		ObjectSet("ShortFibo2",OBJPROP_PRICE1,LoPrice-Range);
		ObjectSet("ShortFibo2",OBJPROP_PRICE2,LoPrice);
	}
   ObjectSet("ShortFibo2",OBJPROP_LEVELCOLOR,indicator_color3); 
   ObjectSet("ShortFibo2",OBJPROP_FIBOLEVELS,4);
   ObjectSet("ShortFibo2",OBJPROP_FIRSTLEVEL+0,0.382);	ObjectSetFiboDescription("ShortFibo2",0,"-38.2 "); 
   ObjectSet("ShortFibo2",OBJPROP_FIRSTLEVEL+1,0.618);	ObjectSetFiboDescription("ShortFibo2",1,"-61.8 ");
   ObjectSet("ShortFibo2",OBJPROP_FIRSTLEVEL+2,1.618);	ObjectSetFiboDescription("ShortFibo",2,"-161.8 "); 

   ObjectSet("ShortFibo2",OBJPROP_RAY,true);
   ObjectSet("ShortFibo2",OBJPROP_BACK,true);

		if(ObjectFind("MN        Fibo2") == -1)
			ObjectCreate("MN        Fibo2",OBJ_FIBO,0,StartTime,HiPrice,StartTime+PERIOD_MN1*60,LoPrice);
		else
		{
			ObjectSet("MN        Fibo2",OBJPROP_TIME2, StartTime);
			ObjectSet("MN        Fibo2",OBJPROP_TIME1, StartTime+PERIOD_MN1*60);
			ObjectSet("MN        Fibo2",OBJPROP_PRICE1,HiPrice);
			ObjectSet("MN        Fibo2",OBJPROP_PRICE2,LoPrice);
		}
   	ObjectSet("MN        Fibo2",OBJPROP_LEVELCOLOR,indicator_color2); 
   	ObjectSet("MN        Fibo2",OBJPROP_FIBOLEVELS,7);
   	ObjectSet("MN        Fibo2",OBJPROP_FIRSTLEVEL+0,0.0);	ObjectSetFiboDescription("MN        Fibo2",0,"00.0"); 
   	ObjectSet("MN        Fibo2",OBJPROP_FIRSTLEVEL+1,0.236);	ObjectSetFiboDescription("MN        Fibo2",1,"23.6"); 
   	ObjectSet("MN        Fibo2",OBJPROP_FIRSTLEVEL+2,0.382);	ObjectSetFiboDescription("MN        Fibo2",2,"38.2"); 
   	ObjectSet("MN        Fibo2",OBJPROP_FIRSTLEVEL+4,0.618);	ObjectSetFiboDescription("MN        Fibo2",4,"61.8"); 
   	ObjectSet("MN        Fibo2",OBJPROP_FIRSTLEVEL+5,0.764);	ObjectSetFiboDescription("MN        Fibo2",5,"76.4"); 
   	ObjectSet("MN        Fibo2",OBJPROP_FIRSTLEVEL+6,1.000);	ObjectSetFiboDescription("MN        Fibo2",6,"100"); 
   	ObjectSet("MN        Fibo2",OBJPROP_RAY,true);
   	ObjectSet("MN        Fibo2",OBJPROP_BACK,true);
   }

//+------------------------------------------------------------------+
//| Indicator start function
//+------------------------------------------------------------------+

int start()
{
	int shift	= iBarShift(NULL,PERIOD_MN1,Time[0]) + 1;	// yesterday
	HiPrice		= iHigh(NULL,PERIOD_MN1,shift);
	LoPrice		= iLow (NULL,PERIOD_MN1,shift);
	StartTime	= iTime(NULL,PERIOD_MN1,shift);

	if(TimeDayOfWeek(StartTime)==0/*Sunday*/)
	{//Add fridays high and low
		HiPrice = MathMax(HiPrice,iHigh(NULL,PERIOD_MN1,shift+1));
		LoPrice = MathMin(LoPrice,iLow(NULL,PERIOD_MN1,shift+1));
	}

	Range = HiPrice-LoPrice;

	DrawFibo();

	return(0);
}
//+------------------------------------------------------------------+

