#property indicator_chart_window

extern bool Draw_Daily_Fib = False;
extern bool Draw_Weekly_Fib = False;
extern bool Draw_Monthly_Fib = False;
extern bool Draw_Quarterly_Fib = False;
extern bool Draw_HalfYearly_Fib = False;
extern bool Draw_Yearly_Fib = TRUE;
extern string note = "====( Activate Fibonacci Alert )====";
extern bool Daily_Alert = TRUE;
extern bool Weekly_Alert = TRUE;
extern bool Monthly_Alert = TRUE;
extern bool Quarterly_Alert = TRUE;
extern bool HalfYearly_Alert = TRUE;
extern bool Yearly_Alert = TRUE;
extern string note0 = "====( Daily Fibonacci colors )====";
extern color D_UpperFiboColor = Navy;
extern color D_MainFiboColor = RoyalBlue;
extern color D_LowerFiboColor = DodgerBlue;
extern string note1 = "====( Weekly Fibonacci colors )====";
extern color W_UpperFiboColor = Fuchsia;
extern color W_MainFiboColor = Thistle;
extern color W_LowerFiboColor = Fuchsia;
extern string note2 = "====( Monthly Fibonacci colors )====";
extern color M_UpperFiboColor = LightGreen;
extern color M_MainFiboColor = Lime;
extern color M_LowerFiboColor = LightGreen;
extern string note3 = "====( Quarterly Fibonacci colors )====";
extern color Q_UpperFiboColor = Blue;
extern color Q_MainFiboColor = Blue;
extern color Q_LowerFiboColor = Blue;
extern string note4 = "====( Half Yearly Fibonacci colors )====";
extern color H_UpperFiboColor = Yellow;
extern color H_MainFiboColor = White;
extern color H_LowerFiboColor = Yellow;
extern string note5 = "====( Yearly Fibonacci colors )====";
extern color Y_UpperFiboColor = Aqua;
extern color Y_MainFiboColor = White;
extern color Y_LowerFiboColor = Lime;
extern string note6 = "Draw main Fibonacci lines?";
extern bool Daily_InnerFibs = TRUE;
extern bool Weekly_InnerFibs = TRUE;
extern bool Monthly_InnerFibs = TRUE;
extern bool QuarterYearly_InnerFibs = TRUE;
extern bool HalfYearly_InnerFibs = TRUE;
extern bool Yearly_InnerFibs = TRUE;
double G_ihigh_284;
double G_ilow_292;
double Gd_300;
double G_ihigh_308;
double G_ilow_316;
double Gd_324;
double G_ihigh_332;
double G_ilow_340;
double Gd_348;
double G_ihigh_356;
double G_ilow_364;
double Gd_372;
double G_ihigh_380;
double G_ilow_388;
double Gd_396;
double G_ihigh_404;
double G_ilow_412;
double Gd_420;
int G_datetime_428;
int G_datetime_432;
int G_datetime_436;
int G_datetime_440;
int G_datetime_444;
int G_datetime_448;
static datetime Time0;
// E37F0136AA3FFAF149B351F6A4C948E9
int init() {
   return (0);
}

// 52D46093050F38C27267BCE42543EF60
int deinit() {
   ObjectDelete("D_FiboUp");
   ObjectDelete("D_FiboDn");
   ObjectDelete("D_FiboIn");
   ObjectDelete("FiboUp_W1");
   ObjectDelete("FiboDn_W1");
   ObjectDelete("FiboIn_W1");
   ObjectDelete("FiboUp_1MN");
   ObjectDelete("FiboDn_1MN");
   ObjectDelete("FiboIn_1MN");
   ObjectDelete("Q_FiboUp");
   ObjectDelete("Q_FiboDn");
   ObjectDelete("Q_FiboIn");
   ObjectDelete("H_FiboUp");
   ObjectDelete("H_FiboDn");
   ObjectDelete("H_FiboIn");
   ObjectDelete("Y_FiboUp");
   ObjectDelete("Y_FiboDn");
   ObjectDelete("Y_FiboIn");
   return (0);
}

// EA2B2676C28C0DB26D39331A336C6B92
int start() {
   int Li_80;
   int Li_92;
   int Li_100;
   int Li_0 = iBarShift(NULL, PERIOD_D1, Time[0]) + 1;
   int Li_4 = iBarShift(NULL, PERIOD_W1, Time[0]) + 1;
   int Li_8 = iBarShift(NULL, PERIOD_MN1, Time[0]) + 1;
   int Li_12 = Li_8;
   int Li_16 = Li_8;
   int Li_20 = Li_8;
   G_ihigh_284 = iHigh(NULL, PERIOD_D1, Li_0);
   G_ilow_292 = iLow(NULL, PERIOD_D1, Li_0);
   G_datetime_428 = iTime(NULL, PERIOD_D1, Li_0);
   G_ihigh_308 = iHigh(NULL, PERIOD_W1, Li_4);
   G_ilow_316 = iLow(NULL, PERIOD_W1, Li_4);
   G_datetime_432 = iTime(NULL, PERIOD_W1, Li_4);
   G_ihigh_332 = iHigh(NULL, PERIOD_MN1, Li_8);
   G_ilow_340 = iLow(NULL, PERIOD_MN1, Li_8);
   G_datetime_436 = iTime(NULL, PERIOD_MN1, Li_8);
   double ihigh_24 = iHigh(NULL, PERIOD_D1, 0);
   double ilow_32 = iLow(NULL, PERIOD_D1, 0);
   double ihigh_40 = iHigh(NULL, PERIOD_W1, 0);
   double ilow_48 = iLow(NULL, PERIOD_W1, 0);
   double ihigh_56 = iHigh(NULL, PERIOD_MN1, 0);
   double ilow_64 = iLow(NULL, PERIOD_MN1, 0);
   if (TimeDayOfWeek(G_datetime_428) == 0) {
      G_ihigh_284 = MathMax(G_ihigh_284, iHigh(NULL, PERIOD_D1, Li_0 + 1));
      G_ilow_292 = MathMin(G_ilow_292, iLow(NULL, PERIOD_D1, Li_0 + 1));
   }
   Gd_300 = G_ihigh_284 - G_ilow_292;
   Gd_324 = G_ihigh_308 - G_ilow_316;
   Gd_348 = G_ihigh_332 - G_ilow_340;
   int month_72 = TimeMonth(iTime(Symbol(), PERIOD_MN1, 1));
   Comment(month_72, "==", Li_12);
   for (int Li_76 = Li_12; Li_76 < iBars(Symbol(), PERIOD_MN1); Li_76++) {
      if (TimeMonth(iTime(Symbol(), PERIOD_MN1, Li_76)) == 12 || TimeMonth(iTime(Symbol(), PERIOD_MN1, Li_76)) == 3 || TimeMonth(iTime(Symbol(), PERIOD_MN1, Li_76)) == 6 ||
         TimeMonth(iTime(Symbol(), PERIOD_MN1, Li_76)) == 9) {
         Li_80 = Li_76;
         break;
      }
   }
   Comment(month_72, "==", Li_12, "==", Li_80);
   G_ihigh_356 = iHigh(Symbol(), PERIOD_MN1, iHighest(Symbol(), PERIOD_MN1, MODE_HIGH, 3, Li_80));
   G_ilow_364 = iLow(Symbol(), PERIOD_MN1, iLowest(Symbol(), PERIOD_MN1, MODE_LOW, 3, Li_80));
   G_datetime_440 = iTime(Symbol(), PERIOD_MN1, Li_80);
   Comment(month_72, "==", Li_12, "==", Li_80, "H", G_ihigh_356, "L", G_ilow_364);
   Gd_372 = G_ihigh_356 - G_ilow_364;
   int month_84 = TimeMonth(iTime(Symbol(), PERIOD_MN1, 1));
   for (int Li_88 = Li_16; Li_88 < iBars(Symbol(), PERIOD_MN1); Li_88++) {
      if (TimeMonth(iTime(Symbol(), PERIOD_MN1, Li_88)) == 12 || TimeMonth(iTime(Symbol(), PERIOD_MN1, Li_88)) == 6) {
         Li_92 = Li_88;
         break;
      }
   }
   G_ihigh_380 = iHigh(Symbol(), PERIOD_MN1, iHighest(Symbol(), PERIOD_MN1, MODE_HIGH, 6, Li_92));
   G_ilow_388 = iLow(Symbol(), PERIOD_MN1, iLowest(Symbol(), PERIOD_MN1, MODE_LOW, 6, Li_92));
   G_datetime_444 = iTime(Symbol(), PERIOD_MN1, Li_92);
   Gd_396 = G_ihigh_380 - G_ilow_388;
   for (int Li_96 = Li_20; Li_96 < iBars(Symbol(), PERIOD_MN1); Li_96++) {
      if (TimeMonth(iTime(Symbol(), PERIOD_MN1, Li_96)) == 12) {
         Li_100 = Li_96;
         break;
      }
   }
   G_ihigh_404 = iHigh(Symbol(), PERIOD_MN1, iHighest(Symbol(), PERIOD_MN1, MODE_HIGH, 12, Li_100));
   G_ilow_412 = iLow(Symbol(), PERIOD_MN1, iLowest(Symbol(), PERIOD_MN1, MODE_LOW, 12, Li_100));
   G_datetime_448 = iTime(Symbol(), PERIOD_MN1, Li_100 + 1);
   Gd_420 = G_ihigh_404 - G_ilow_412;
   if (Draw_Daily_Fib) f0_0();
   if (Draw_Weekly_Fib) f0_4();
   if (Draw_Monthly_Fib) f0_3();
   if (Draw_Quarterly_Fib) f0_2();
   if (Draw_HalfYearly_Fib) f0_1();
   if (Draw_Yearly_Fib) f0_5();
   if (Daily_Alert && Draw_Daily_Fib) {
      if (Ask > Gd_300 && Ask > ihigh_24&&Time0 != Time[0]) {Alert("Price is above yesterday High for ", Symbol());Time0 = Time[0];}
      if (Ask < Gd_300 && Ask < ilow_32&&Time0 != Time[0]) {Alert("Price is below yesterday Low for ", Symbol());Time0 = Time[0];}
   }
   if (Weekly_Alert && Draw_Weekly_Fib) {
      if (Ask > Gd_324 && Ask > ihigh_40&&Time0 != Time[0]){ Alert("Price is above Weekly High for ", Symbol());Time0 = Time[0];}
      if (Ask < Gd_324 && Ask < ilow_48&&Time0 != Time[0]){ Alert("Price is below Weekly Low for ", Symbol());Time0 = Time[0];}
   }
   if (Monthly_Alert && Draw_Monthly_Fib) {
      if (Ask > Gd_348 && Ask > ihigh_56&&Time0 != Time[0]){ Alert("Price is above Monthly High for ", Symbol());   Time0 = Time[0];} 
    if (Ask < Gd_348 && Ask < ilow_64&&Time0 != Time[0]){ Alert("Price is below Monthly Low for ", Symbol());Time0 = Time[0];}
   }
   if (Quarterly_Alert && Draw_Quarterly_Fib) {
      if (Ask > Gd_372 && Ask > ihigh_56&&Time0 != Time[0]) {Alert("Price is above Quarterly High for ", Symbol());Time0 = Time[0];}
      if (Ask < Gd_372 && Ask < ilow_64&&Time0 != Time[0]) {Alert("Price is below Quarterly Low for ", Symbol());Time0 = Time[0];}
   }
   if (HalfYearly_Alert && Draw_HalfYearly_Fib) {
      if (Ask > Gd_396 && Ask > ihigh_56&&Time0 != Time[0]) {Alert("Price is above HalfYearly High for ", Symbol());Time0 = Time[0];}
      if (Ask < Gd_396 && Ask < ilow_64&&Time0 != Time[0]) {Alert("Price is below HalfYearly Low for ", Symbol());Time0 = Time[0];}
   }
   if (Yearly_Alert && Draw_Yearly_Fib) {
      if (Ask > Gd_420 && Ask > ihigh_56&&Time0 != Time[0]) {Alert("Price is above yearly High for ", Symbol());Time0 = Time[0];}
      if (Ask < Gd_420 && Ask < ilow_64&&Time0 != Time[0]) {Alert("Price is below yearly Low for ", Symbol());Time0 = Time[0];}
   }
   return (0);
}

// 177469F06A7487E6FDDCBE94FDB6FD63
int f0_0() {
   if (ObjectFind("D_FiboUp") == -1) ObjectCreate("D_FiboUp", OBJ_FIBO, 0, G_datetime_428, G_ihigh_284 + Gd_300, G_datetime_428, G_ihigh_284);
   else {
      ObjectSet("D_FiboUp", OBJPROP_TIME2, G_datetime_428);
      ObjectSet("D_FiboUp", OBJPROP_TIME1, G_datetime_428);
      ObjectSet("D_FiboUp", OBJPROP_PRICE1, G_ihigh_284 + Gd_300);
      ObjectSet("D_FiboUp", OBJPROP_PRICE2, G_ihigh_284);
   }
   ObjectSet("D_FiboUp", OBJPROP_LEVELCOLOR, D_UpperFiboColor);
   ObjectSet("D_FiboUp", OBJPROP_FIBOLEVELS, 13);
   ObjectSet("D_FiboUp", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("D_FiboUp", 0, "(100.0%) -  %$");
   ObjectSet("D_FiboUp", 211, 0.236);
   ObjectSetFiboDescription("D_FiboUp", 1, "(123.6%) -  %$");
   ObjectSet("D_FiboUp", 212, 0.382);
   ObjectSetFiboDescription("D_FiboUp", 2, "(138.2%) -  %$");
   ObjectSet("D_FiboUp", 213, 0.5);
   ObjectSetFiboDescription("D_FiboUp", 3, "(150.0%) -  %$");
   ObjectSet("D_FiboUp", 214, 0.618);
   ObjectSetFiboDescription("D_FiboUp", 4, "(161.8%) -  %$");
   ObjectSet("D_FiboUp", 215, 0.764);
  ;
   ObjectSetFiboDescription("D_FiboUp", 6, "(200.0%) -  %$");
   ObjectSet("D_FiboUp", 217, 1.236);
   ObjectSetFiboDescription("D_FiboUp", 7, "(223.6%) -  %$");
   ObjectSet("D_FiboUp", 218, 1.5);
   ObjectSetFiboDescription("D_FiboUp", 8, "(250.0%) -  %$");
   ObjectSet("D_FiboUp", 219, 1.618);
   ObjectSetFiboDescription("D_FiboUp", 9, "(261.8%) -  %$");
   ObjectSet("D_FiboUp", 220, 2.0);
   ObjectSetFiboDescription("D_FiboUp", 10, "(300.0%) -  %$");
   ObjectSet("D_FiboUp", 221, 2.5);
   ObjectSetFiboDescription("D_FiboUp", 11, "(350.0%) -  %$");
   ObjectSet("D_FiboUp", 222, 3.0);
   ObjectSetFiboDescription("D_FiboUp", 12, "(400.0%) -  %$");
   ObjectSet("D_FiboUp", 223, 3.5);
   ObjectSetFiboDescription("D_FiboUp", 13, "(450.0%) -  %$");
   ObjectSet("D_FiboUp", 224, 4.0);
   ObjectSetFiboDescription("D_FiboUp", 14, "(500.0%) -  %$");
   ObjectSet("D_FiboUp", OBJPROP_RAY, TRUE);
   ObjectSet("D_FiboUp", OBJPROP_BACK, TRUE);
   if (ObjectFind("D_FiboDn") == -1) ObjectCreate("D_FiboDn", OBJ_FIBO, 0, G_datetime_428, G_ilow_292 - Gd_300, G_datetime_428, G_ilow_292);
   else {
      ObjectSet("D_FiboDn", OBJPROP_TIME2, G_datetime_428);
      ObjectSet("D_FiboDn", OBJPROP_TIME1, G_datetime_428);
      ObjectSet("D_FiboDn", OBJPROP_PRICE1, G_ilow_292 - Gd_300);
      ObjectSet("D_FiboDn", OBJPROP_PRICE2, G_ilow_292);
   }
   ObjectSet("D_FiboDn", OBJPROP_LEVELCOLOR, D_LowerFiboColor);
   ObjectSet("D_FiboDn", OBJPROP_FIBOLEVELS, 19);
   ObjectSet("D_FiboDn", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("D_FiboDn", 0, "(0.0%) -  %$");
   ObjectSet("D_FiboDn", 211, 0.236);
   ObjectSetFiboDescription("D_FiboDn", 1, "(-23.6%) -  %$");
   ObjectSet("D_FiboDn", 212, 0.382);
   ObjectSetFiboDescription("D_FiboDn", 2, "(-38.2%) -  %$");
   ObjectSet("D_FiboDn", 213, 0.5);
   ObjectSetFiboDescription("D_FiboDn", 3, "(-50.0%) -  %$");
   ObjectSet("D_FiboDn", 214, 0.618);
   ObjectSetFiboDescription("D_FiboDn", 4, "(-61.8%) -  %$");
   ObjectSet("D_FiboDn", 215, 0.764);
  
   ObjectSetFiboDescription("D_FiboDn", 6, "(-100.0%) -  %$");
   ObjectSet("D_FiboDn", 217, 1.236);
   ObjectSetFiboDescription("D_FiboDn", 7, "(-123.6%) -  %$");
   ObjectSet("D_FiboDn", 218, 1.382);
   ObjectSetFiboDescription("D_FiboDn", 8, "(-138.2%) -  %$");
   ObjectSet("D_FiboDn", 219, 1.5);
   ObjectSetFiboDescription("D_FiboDn", 9, "(-150.0%) -  %$");
   ObjectSet("D_FiboDn", 220, 1.618);
   ObjectSetFiboDescription("D_FiboDn", 10, "(-161.8%) -  %$");
   ObjectSet("D_FiboDn", 221, 1.764);
   
   ObjectSetFiboDescription("D_FiboDn", 12, "(-200.0%) -  %$");
   ObjectSet("D_FiboDn", 223, 2.5);
   ObjectSetFiboDescription("D_FiboDn", 13, "(-250.0%) -  %$");
   ObjectSet("D_FiboDn", 224, 3.0);
   ObjectSetFiboDescription("D_FiboDn", 14, "(-300.0%) -  %$");
   ObjectSet("D_FiboDn", 225, 3.5);
   ObjectSetFiboDescription("D_FiboDn", 15, "(-350.0%) -  %$");
   ObjectSet("D_FiboDn", 226, 4.0);
   ObjectSetFiboDescription("D_FiboDn", 16, "(-400.0%) -  %$");
   ObjectSet("D_FiboDn", 227, 4.5);
   ObjectSetFiboDescription("D_FiboDn", 17, "(-450.0%) -  %$");
   ObjectSet("D_FiboDn", 228, 5.0);
   ObjectSetFiboDescription("D_FiboDn", 18, "(-500.0%) -  %$");
   ObjectSet("D_FiboDn", OBJPROP_RAY, TRUE);
   ObjectSet("D_FiboDn", OBJPROP_BACK, TRUE);
   if (Daily_InnerFibs) {
      if (ObjectFind("D_FiboIn") == -1) ObjectCreate("D_FiboIn", OBJ_FIBO, 0, G_datetime_428, G_ihigh_284, G_datetime_428 + 86400, G_ilow_292);
      else {
         ObjectSet("D_FiboIn", OBJPROP_TIME2, G_datetime_428);
         ObjectSet("D_FiboIn", OBJPROP_TIME1, G_datetime_428 + 86400);
         ObjectSet("D_FiboIn", OBJPROP_PRICE1, G_ihigh_284);
         ObjectSet("D_FiboIn", OBJPROP_PRICE2, G_ilow_292);
      }
      ObjectSet("D_FiboIn", OBJPROP_LEVELCOLOR, D_MainFiboColor);
      ObjectSet("D_FiboIn", OBJPROP_FIBOLEVELS, 7);
      ObjectSet("D_FiboIn", OBJPROP_FIRSTLEVEL, 0.0);
      ObjectSetFiboDescription("D_FiboIn", 0, "Yesterday LOW (0.0) -  %$");
      ObjectSet("D_FiboIn", 211, 0.236);
      ObjectSetFiboDescription("D_FiboIn", 1, "(23.6) -  %$");
      ObjectSet("D_FiboIn", 212, 0.382);
      ObjectSetFiboDescription("D_FiboIn", 2, "(38.2) -  %$");
      ObjectSet("D_FiboIn", 213, 0.5);
      ObjectSetFiboDescription("D_FiboIn", 3, "(50.0) -  %$");
      ObjectSet("D_FiboIn", 214, 0.618);
     
      ObjectSetFiboDescription("D_FiboIn", 5, "(76.4) -  %$");
      ObjectSet("D_FiboIn", 216, 1.0);
      ObjectSetFiboDescription("D_FiboIn", 6, "Yesterday HIGH (100.0) -  %$");
      ObjectSet("D_FiboIn", OBJPROP_RAY, TRUE);
      ObjectSet("D_FiboIn", OBJPROP_BACK, TRUE);
   } else ObjectDelete("D_FiboIn");
   return (0);
}

// 64A4152D77E21390AEEAAC248754B226
int f0_4() {
   if (ObjectFind("FiboUp_W1") == -1) ObjectCreate("FiboUp_W1", OBJ_FIBO, 0, G_datetime_432, G_ihigh_308 + Gd_324, G_datetime_432, G_ihigh_308);
   else {
      ObjectSet("FiboUp_W1", OBJPROP_TIME2, G_datetime_432);
      ObjectSet("FiboUp_W1", OBJPROP_TIME1, G_datetime_432);
      ObjectSet("FiboUp_W1", OBJPROP_PRICE1, G_ihigh_308 + Gd_324);
      ObjectSet("FiboUp_W1", OBJPROP_PRICE2, G_ihigh_308);
   }
   ObjectSet("FiboUp_W1", OBJPROP_LEVELCOLOR, W_UpperFiboColor);
   ObjectSet("FiboUp_W1", OBJPROP_FIBOLEVELS, 13);
   ObjectSet("FiboUp_W1", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("FiboUp_W1", 0, "(100.0%) -  %$");
   ObjectSet("FiboUp_W1", 211, 0.236);
   ObjectSetFiboDescription("FiboUp_W1", 1, "(123.6%) -  %$");
   ObjectSet("FiboUp_W1", 212, 0.382);
   ObjectSetFiboDescription("FiboUp_W1", 2, "(138.2%) -  %$");
   ObjectSet("FiboUp_W1", 213, 0.5);
   ObjectSetFiboDescription("FiboUp_W1", 3, "(150.0%) -  %$");
   ObjectSet("FiboUp_W1", 214, 0.618);
  
   ObjectSetFiboDescription("FiboUp_W1", 5, "(176.4%) -  %$");
   ObjectSet("FiboUp_W1", 216, 1.0);
   ObjectSetFiboDescription("FiboUp_W1", 6, "(200.0%) -  %$");
   ObjectSet("FiboUp_W1", 217, 1.236);
   ObjectSetFiboDescription("FiboUp_W1", 7, "(223.6%) -  %$");
   ObjectSet("FiboUp_W1", 218, 1.5);
   ObjectSetFiboDescription("FiboUp_W1", 8, "(250.0%) -  %$");
   ObjectSet("FiboUp_W1", 219, 1.618);
   ObjectSetFiboDescription("FiboUp_W1", 9, "(261.8%) -  %$");
   ObjectSet("FiboUp_W1", 220, 2.0);
   ObjectSetFiboDescription("FiboUp_W1", 10, "(300.0%) - %$");
   ObjectSet("FiboUp_W1", 221, 2.5);
   ObjectSetFiboDescription("FiboUp_W1", 11, "(350.0%) - %$");
   ObjectSet("FiboUp_W1", 222, 3.0);
   ObjectSetFiboDescription("FiboUp_W1", 12, "(400.0%) - %$");
   ObjectSet("FiboUp_W1", 223, 3.5);
   ObjectSetFiboDescription("FiboUp_W1", 13, "(450.0%) - %$");
   ObjectSet("FiboUp_W1", 224, 4.0);
   ObjectSetFiboDescription("FiboUp_W1", 14, "(500.0%) - %$");
   ObjectSet("FiboUp_W1", OBJPROP_RAY, TRUE);
   ObjectSet("FiboUp_W1", OBJPROP_BACK, TRUE);
   if (ObjectFind("FiboDn_W1") == -1) ObjectCreate("FiboDn_W1", OBJ_FIBO, 0, G_datetime_432, G_ilow_316 - Gd_324, G_datetime_432, G_ilow_316);
   else {
      ObjectSet("FiboDn_W1", OBJPROP_TIME2, G_datetime_432);
      ObjectSet("FiboDn_W1", OBJPROP_TIME1, G_datetime_432);
      ObjectSet("FiboDn_W1", OBJPROP_PRICE1, G_ilow_316 - Gd_324);
      ObjectSet("FiboDn_W1", OBJPROP_PRICE2, G_ilow_316);
   }
   ObjectSet("FiboDn_W1", OBJPROP_LEVELCOLOR, W_LowerFiboColor);
   ObjectSet("FiboDn_W1", OBJPROP_FIBOLEVELS, 19);
   ObjectSet("FiboDn_W1", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("FiboDn_W1", 0, "(0.0%) -  %$");
   ObjectSet("FiboDn_W1", 211, 0.236);
   ObjectSetFiboDescription("FiboDn_W1", 1, "(-23.6%) -  %$");
   ObjectSet("FiboDn_W1", 212, 0.382);
   ObjectSetFiboDescription("FiboDn_W1", 2, "(-38.2%) -  %$");
   ObjectSet("FiboDn_W1", 213, 0.5);
   ObjectSetFiboDescription("FiboDn_W1", 3, "(-50.0%) -  %$");
   ObjectSet("FiboDn_W1", 214, 0.618);
   
   ObjectSetFiboDescription("FiboDn_W1", 5, "(-76.4%) -  %$");
   ObjectSet("FiboDn_W1", 216, 1.0);
   ObjectSetFiboDescription("FiboDn_W1", 6, "(-100.0%) -  %$");
   ObjectSet("FiboDn_W1", 217, 1.236);
   ObjectSetFiboDescription("FiboDn_W1", 7, "(-123.6%) -  %$");
   ObjectSet("FiboDn_W1", 218, 1.382);
   ObjectSetFiboDescription("FiboDn_W1", 8, "(-138.2%) -  %$");
   ObjectSet("FiboDn_W1", 219, 1.5);
   ObjectSetFiboDescription("FiboDn_W1", 9, "(-150.0%) -  %$");
   ObjectSet("FiboDn_W1", 220, 1.618);
   ObjectSetFiboDescription("FiboDn_W1", 10, "(-161.8%) -  %$");
   ObjectSet("FiboDn_W1", 221, 1.764);
  
   ObjectSetFiboDescription("FiboDn_W1", 12, "(-200.0%) -  %$");
   ObjectSet("FiboDn_W1", 223, 2.5);
   ObjectSetFiboDescription("FiboDn_W1", 13, "(-250.0%) -  %$");
   ObjectSet("FiboDn_W1", 224, 3.0);
   ObjectSetFiboDescription("FiboDn_W1", 14, "(-300.0%) -  %$");
   ObjectSet("FiboDn_W1", 225, 3.5);
   ObjectSetFiboDescription("FiboDn_W1", 15, "(-350.0%) -  %$");
   ObjectSet("FiboDn_W1", 226, 4.0);
   ObjectSetFiboDescription("FiboDn_W1", 16, "(-400.0%) -  %$");
   ObjectSet("FiboDn_W1", 227, 4.5);
   ObjectSetFiboDescription("FiboDn_W1", 17, "(-450.0%) -  %$");
   ObjectSet("FiboDn_W1", 228, 5.0);
   ObjectSetFiboDescription("FiboDn_W1", 18, "(-500.0%) -  %$");
   ObjectSet("FiboDn_W1", OBJPROP_RAY, TRUE);
   ObjectSet("FiboDn_W1", OBJPROP_BACK, TRUE);
   if (Weekly_InnerFibs) {
      if (ObjectFind("FiboIn_W1") == -1) ObjectCreate("FiboIn_W1", OBJ_FIBO, 0, G_datetime_432, G_ihigh_308, G_datetime_432 + 604800, G_ilow_316);
      else {
         ObjectSet("FiboIn_W1", OBJPROP_TIME2, G_datetime_432);
         ObjectSet("FiboIn_W1", OBJPROP_TIME1, G_datetime_432 + 604800);
         ObjectSet("FiboIn_W1", OBJPROP_PRICE1, G_ihigh_308);
         ObjectSet("FiboIn_W1", OBJPROP_PRICE2, G_ilow_316);
      }
      ObjectSet("FiboIn_W1", OBJPROP_LEVELCOLOR, W_MainFiboColor);
      ObjectSet("FiboIn_W1", OBJPROP_FIBOLEVELS, 7);
      ObjectSet("FiboIn_W1", OBJPROP_FIRSTLEVEL, 0.0);
      ObjectSetFiboDescription("FiboIn_W1", 0, "Weekly LOW (0.0) -  %$");
      ObjectSet("FiboIn_W1", 211, 0.236);
      ObjectSetFiboDescription("FiboIn_W1", 1, "(23.6) -  %$");
      ObjectSet("FiboIn_W1", 212, 0.382);
      ObjectSetFiboDescription("FiboIn_W1", 2, "(38.2) -  %$");
      ObjectSet("FiboIn_W1", 213, 0.5);
      ObjectSetFiboDescription("FiboIn_W1", 3, "(50.0) -  %$");
      ObjectSet("FiboIn_W1", 214, 0.618);
     
      ObjectSetFiboDescription("FiboIn_W1", 5, "(76.4) -  %$");
      ObjectSet("FiboIn_W1", 216, 1.0);
      ObjectSetFiboDescription("FiboIn_W1", 6, "Weekly HIGH (100.0) -  %$");
      ObjectSet("FiboIn_W1", OBJPROP_RAY, TRUE);
      ObjectSet("FiboIn_W1", OBJPROP_BACK, TRUE);
   } else ObjectDelete("FiboIn_W1");
   return (0);
}

// 60761705F55DCE3A3E7F45A612A29072
int f0_3() {
   if (ObjectFind("FiboUp_1MN") == -1) ObjectCreate("FiboUp_1MN", OBJ_FIBO, 0, G_datetime_436, G_ihigh_332 + Gd_348, G_datetime_436, G_ihigh_332);
   else {
      ObjectSet("FiboUp_1MN", OBJPROP_TIME2, G_datetime_436);
      ObjectSet("FiboUp_1MN", OBJPROP_TIME1, G_datetime_436);
      ObjectSet("FiboUp_1MN", OBJPROP_PRICE1, G_ihigh_332 + Gd_348);
      ObjectSet("FiboUp_1MN", OBJPROP_PRICE2, G_ihigh_332);
   }
   ObjectSet("FiboUp_1MN", OBJPROP_LEVELCOLOR, M_UpperFiboColor);
   ObjectSet("FiboUp_1MN", OBJPROP_FIBOLEVELS, 13);
   ObjectSet("FiboUp_1MN", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("FiboUp_1MN", 0, "(100.0%) -  %$");
   ObjectSet("FiboUp_1MN", 211, 0.236);
   ObjectSetFiboDescription("FiboUp_1MN", 1, "(123.6%) -  %$");
   ObjectSet("FiboUp_1MN", 212, 0.382);
   ObjectSetFiboDescription("FiboUp_1MN", 2, "(138.2%) -  %$");
   ObjectSet("FiboUp_1MN", 213, 0.5);
   ObjectSetFiboDescription("FiboUp_1MN", 3, "(150.0%) -  %$");
   ObjectSet("FiboUp_1MN", 214, 0.618);
  
   ObjectSetFiboDescription("FiboUp_1MN", 5, "(176.4%) -  %$");
   ObjectSet("FiboUp_1MN", 216, 1.0);
   ObjectSetFiboDescription("FiboUp_1MN", 6, "(200.0%) -  %$");
   ObjectSet("FiboUp_1MN", 217, 1.236);
   ObjectSetFiboDescription("FiboUp_1MN", 7, "(223.6%) -  %$");
   ObjectSet("FiboUp_1MN", 218, 1.5);
   ObjectSetFiboDescription("FiboUp_1MN", 8, "(250.0%) -  %$");
   ObjectSet("FiboUp_1MN", 219, 1.618);
   ObjectSetFiboDescription("FiboUp_1MN", 9, "(261.8%) -  %$");
   ObjectSet("FiboUp_1MN", 220, 2.0);
   ObjectSetFiboDescription("FiboUp_1MN", 10, "(300.0%) - %$");
   ObjectSet("FiboUp_1MN", 221, 2.5);
   ObjectSetFiboDescription("FiboUp_1MN", 11, "(350.0%) - %$");
   ObjectSet("FiboUp_1MN", 222, 3.0);
   ObjectSetFiboDescription("FiboUp_1MN", 12, "(400.0%) - %$");
   ObjectSet("FiboUp_1MN", 223, 3.5);
   ObjectSetFiboDescription("FiboUp_1MN", 13, "(450.0%) - %$");
   ObjectSet("FiboUp_1MN", 224, 4.0);
   ObjectSetFiboDescription("FiboUp_1MN", 14, "(500.0%) - %$");
   ObjectSet("FiboUp_1MN", OBJPROP_RAY, TRUE);
   ObjectSet("FiboUp_1MN", OBJPROP_BACK, TRUE);
   if (ObjectFind("FiboDn_1MN") == -1) ObjectCreate("FiboDn_1MN", OBJ_FIBO, 0, G_datetime_436, G_ilow_340 - Gd_348, G_datetime_436, G_ilow_340);
   else {
      ObjectSet("FiboDn_1MN", OBJPROP_TIME2, G_datetime_436);
      ObjectSet("FiboDn_1MN", OBJPROP_TIME1, G_datetime_436);
      ObjectSet("FiboDn_1MN", OBJPROP_PRICE1, G_ilow_340 - Gd_348);
      ObjectSet("FiboDn_1MN", OBJPROP_PRICE2, G_ilow_340);
   }
   ObjectSet("FiboDn_1MN", OBJPROP_LEVELCOLOR, M_LowerFiboColor);
   ObjectSet("FiboDn_1MN", OBJPROP_FIBOLEVELS, 19);
   ObjectSet("FiboDn_1MN", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("FiboDn_1MN", 0, "(0.0%) -  %$");
   ObjectSet("FiboDn_1MN", 211, 0.236);
   ObjectSetFiboDescription("FiboDn_1MN", 1, "(-23.6%) -  %$");
   ObjectSet("FiboDn_1MN", 212, 0.382);
   ObjectSetFiboDescription("FiboDn_1MN", 2, "(-38.2%) -  %$");
   ObjectSet("FiboDn_1MN", 213, 0.5);
   ObjectSetFiboDescription("FiboDn_1MN", 3, "(-50.0%) -  %$");
   ObjectSet("FiboDn_1MN", 214, 0.618);
  
   ObjectSetFiboDescription("FiboDn_1MN", 5, "(-76.4%) -  %$");
   ObjectSet("FiboDn_1MN", 216, 1.0);
   ObjectSetFiboDescription("FiboDn_1MN", 6, "(-100.0%) -  %$");
   ObjectSet("FiboDn_1MN", 217, 1.236);
   ObjectSetFiboDescription("FiboDn_1MN", 7, "(-123.6%) -  %$");
   ObjectSet("FiboDn_1MN", 218, 1.382);
   ObjectSetFiboDescription("FiboDn_1MN", 8, "(-138.2%) -  %$");
   ObjectSet("FiboDn_1MN", 219, 1.5);
   ObjectSetFiboDescription("FiboDn_1MN", 9, "(-150.0%) -  %$");
   ObjectSet("FiboDn_1MN", 220, 1.618);
   ObjectSetFiboDescription("FiboDn_1MN", 10, "(-161.8%) -  %$");
   ObjectSet("FiboDn_1MN", 221, 1.764);
  
   ObjectSetFiboDescription("FiboDn_1MN", 12, "(-200.0%) -  %$");
   ObjectSet("FiboDn_1MN", 223, 2.5);
   ObjectSetFiboDescription("FiboDn_1MN", 13, "(-250.0%) -  %$");
   ObjectSet("FiboDn_1MN", 224, 3.0);
   ObjectSetFiboDescription("FiboDn_1MN", 14, "(-300.0%) -  %$");
   ObjectSet("FiboDn_1MN", 225, 3.5);
   ObjectSetFiboDescription("FiboDn_1MN", 15, "(-350.0%) -  %$");
   ObjectSet("FiboDn_1MN", 226, 4.0);
   ObjectSetFiboDescription("FiboDn_1MN", 16, "(-400.0%) -  %$");
   ObjectSet("FiboDn_1MN", 227, 4.5);
   ObjectSetFiboDescription("FiboDn_1MN", 17, "(-450.0%) -  %$");
   ObjectSet("FiboDn_1MN", 228, 5.0);
   ObjectSetFiboDescription("FiboDn_1MN", 18, "(-500.0%) -  %$");
   ObjectSet("FiboDn_1MN", OBJPROP_RAY, TRUE);
   ObjectSet("FiboDn_1MN", OBJPROP_BACK, TRUE);
   if (Monthly_InnerFibs) {
      if (ObjectFind("FiboIn_1MN") == -1) ObjectCreate("FiboIn_1MN", OBJ_FIBO, 0, G_datetime_436, G_ihigh_332, G_datetime_436 + 2592000, G_ilow_340);
      else {
         ObjectSet("FiboIn_1MN", OBJPROP_TIME2, G_datetime_436);
         ObjectSet("FiboIn_1MN", OBJPROP_TIME1, G_datetime_436 + 2592000);
         ObjectSet("FiboIn_1MN", OBJPROP_PRICE1, G_ihigh_332);
         ObjectSet("FiboIn_1MN", OBJPROP_PRICE2, G_ilow_340);
      }
      ObjectSet("FiboIn_1MN", OBJPROP_LEVELCOLOR, M_MainFiboColor);
      ObjectSet("FiboIn_1MN", OBJPROP_FIBOLEVELS, 7);
      ObjectSet("FiboIn_1MN", OBJPROP_FIRSTLEVEL, 0.0);
      ObjectSetFiboDescription("FiboIn_1MN", 0, "Monthly LOW (0.0) -  %$");
      ObjectSet("FiboIn_1MN", 211, 0.236);
      ObjectSetFiboDescription("FiboIn_1MN", 1, "(23.6) -  %$");
      ObjectSet("FiboIn_1MN", 212, 0.382);
      ObjectSetFiboDescription("FiboIn_1MN", 2, "(38.2) -  %$");
      ObjectSet("FiboIn_1MN", 213, 0.5);
      ObjectSetFiboDescription("FiboIn_1MN", 3, "(50.0) -  %$");
      ObjectSet("FiboIn_1MN", 214, 0.618);
      ObjectSetFiboDescription("FiboIn_1MN", 4, "(61.8) -  %$");
     
      ObjectSet("FiboIn_1MN", 216, 1.0);
      ObjectSetFiboDescription("FiboIn_1MN", 6, "Monthly HIGH (100.0) -  %$");
      ObjectSet("FiboIn_1MN", OBJPROP_RAY, TRUE);
      ObjectSet("FiboIn_1MN", OBJPROP_BACK, TRUE);
   } else ObjectDelete("FiboIn_1MN");
   return (0);
}

// 47AD40B9E5EF04F15D4D65FC775B27A8
int f0_2() {
   if (ObjectFind("Q_FiboUp") == -1) ObjectCreate("Q_FiboUp", OBJ_FIBO, 0, G_datetime_440, G_ihigh_356 + Gd_372, G_datetime_440, G_ihigh_356);
   else {
      ObjectSet("Q_FiboUp", OBJPROP_TIME2, G_datetime_440);
      ObjectSet("Q_FiboUp", OBJPROP_TIME1, G_datetime_440);
      ObjectSet("Q_FiboUp", OBJPROP_PRICE1, G_ihigh_356 + Gd_372);
      ObjectSet("Q_FiboUp", OBJPROP_PRICE2, G_ihigh_356);
   }
   ObjectSet("Q_FiboUp", OBJPROP_LEVELCOLOR, Q_UpperFiboColor);
   ObjectSet("Q_FiboUp", OBJPROP_FIBOLEVELS, 13);
   ObjectSet("Q_FiboUp", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("Q_FiboUp", 0, "(100.0%) -  %$");
   ObjectSet("Q_FiboUp", 211, 0.236);
   ObjectSetFiboDescription("Q_FiboUp", 1, "(123.6%) -  %$");
   ObjectSet("Q_FiboUp", 212, 0.382);
   ObjectSetFiboDescription("Q_FiboUp", 2, "(138.2%) -  %$");
   ObjectSet("Q_FiboUp", 213, 0.5);
   ObjectSetFiboDescription("Q_FiboUp", 3, "(150.0%) -  %$");
   ObjectSet("Q_FiboUp", 214, 0.618);
   ObjectSetFiboDescription("Q_FiboUp", 4, "(161.8%) -  %$");
  
   ObjectSet("Q_FiboUp", 216, 1.0);
   ObjectSetFiboDescription("Q_FiboUp", 6, "(200.0%) -  %$");
   ObjectSet("Q_FiboUp", 217, 1.236);
   ObjectSetFiboDescription("Q_FiboUp", 7, "(223.6%) -  %$");
   ObjectSet("Q_FiboUp", 218, 1.5);
   ObjectSetFiboDescription("Q_FiboUp", 8, "(250.0%) -  %$");
   ObjectSet("Q_FiboUp", 219, 1.618);
   ObjectSetFiboDescription("Q_FiboUp", 9, "(261.8%) -  %$");
   ObjectSet("Q_FiboUp", 220, 2.0);
   ObjectSetFiboDescription("Q_FiboUp", 10, "(300.0%) -  %$");
   ObjectSet("Q_FiboUp", 221, 2.5);
   ObjectSetFiboDescription("Q_FiboUp", 11, "(350.0%) -  %$");
   ObjectSet("Q_FiboUp", 222, 3.0);
   ObjectSetFiboDescription("Q_FiboUp", 12, "(400.0%) -  %$");
   ObjectSet("Q_FiboUp", 223, 3.5);
   ObjectSetFiboDescription("Q_FiboUp", 13, "(450.0%) -  %$");
   ObjectSet("Q_FiboUp", 224, 4.0);
   ObjectSetFiboDescription("Q_FiboUp", 14, "(500.0%) -  %$");
   ObjectSet("Q_FiboUp", OBJPROP_RAY, TRUE);
   ObjectSet("Q_FiboUp", OBJPROP_BACK, TRUE);
   if (ObjectFind("Q_FiboDn") == -1) ObjectCreate("Q_FiboDn", OBJ_FIBO, 0, G_datetime_440, G_ilow_364 - Gd_372, G_datetime_440, G_ilow_364);
   else {
      ObjectSet("Q_FiboDn", OBJPROP_TIME2, G_datetime_440);
      ObjectSet("Q_FiboDn", OBJPROP_TIME1, G_datetime_440);
      ObjectSet("Q_FiboDn", OBJPROP_PRICE1, G_ilow_364 - Gd_372);
      ObjectSet("Q_FiboDn", OBJPROP_PRICE2, G_ilow_364);
   }
   ObjectSet("Q_FiboDn", OBJPROP_LEVELCOLOR, Q_LowerFiboColor);
   ObjectSet("Q_FiboDn", OBJPROP_FIBOLEVELS, 19);
   ObjectSet("Q_FiboDn", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("Q_FiboDn", 0, "(0.0%) -  %$");
   ObjectSet("Q_FiboDn", 211, 0.236);
   ObjectSetFiboDescription("Q_FiboDn", 1, "(-23.6%) -  %$");
   ObjectSet("Q_FiboDn", 212, 0.382);
   ObjectSetFiboDescription("Q_FiboDn", 2, "(-38.2%) -  %$");
   ObjectSet("Q_FiboDn", 213, 0.5);
   ObjectSetFiboDescription("Q_FiboDn", 3, "(-50.0%) -  %$");
   ObjectSet("Q_FiboDn", 214, 0.618);
   ObjectSetFiboDescription("Q_FiboDn", 4, "(-61.8%) -  %$");
  
   ObjectSet("Q_FiboDn", 216, 1.0);
   ObjectSetFiboDescription("Q_FiboDn", 6, "(-100.0%) -  %$");
   ObjectSet("Q_FiboDn", 217, 1.236);
   ObjectSetFiboDescription("Q_FiboDn", 7, "(-123.6%) -  %$");
   ObjectSet("Q_FiboDn", 218, 1.382);
   ObjectSetFiboDescription("Q_FiboDn", 8, "(-138.2%) -  %$");
   ObjectSet("Q_FiboDn", 219, 1.5);
   ObjectSetFiboDescription("Q_FiboDn", 9, "(-150.0%) -  %$");
   ObjectSet("Q_FiboDn", 220, 1.618);
   ObjectSetFiboDescription("Q_FiboDn", 10, "(-161.8%) -  %$");
  
   ObjectSet("Q_FiboDn", 222, 2.0);
   ObjectSetFiboDescription("Q_FiboDn", 12, "(-200.0%) -  %$");
   ObjectSet("Q_FiboDn", 223, 2.5);
   ObjectSetFiboDescription("Q_FiboDn", 13, "(-250.0%) -  %$");
   ObjectSet("Q_FiboDn", 224, 3.0);
   ObjectSetFiboDescription("Q_FiboDn", 14, "(-300.0%) -  %$");
   ObjectSet("Q_FiboDn", 225, 3.5);
   ObjectSetFiboDescription("Q_FiboDn", 15, "(-350.0%) -  %$");
   ObjectSet("Q_FiboDn", 226, 4.0);
   ObjectSetFiboDescription("Q_FiboDn", 16, "(-400.0%) -  %$");
   ObjectSet("Q_FiboDn", 227, 4.5);
   ObjectSetFiboDescription("Q_FiboDn", 17, "(-450.0%) -  %$");
   ObjectSet("Q_FiboDn", 228, 5.0);
   ObjectSetFiboDescription("Q_FiboDn", 18, "(-500.0%) -  %$");
   ObjectSet("Q_FiboDn", OBJPROP_RAY, TRUE);
   ObjectSet("Q_FiboDn", OBJPROP_BACK, TRUE);
   if (QuarterYearly_InnerFibs) {
      if (ObjectFind("Q_FiboIn") == -1) ObjectCreate("Q_FiboIn", OBJ_FIBO, 0, G_datetime_440, G_ihigh_356, G_datetime_440, G_ilow_364);
      else {
         ObjectSet("Q_FiboIn", OBJPROP_TIME2, G_datetime_440);
         ObjectSet("Q_FiboIn", OBJPROP_TIME1, G_datetime_440);
         ObjectSet("Q_FiboIn", OBJPROP_PRICE1, G_ihigh_356);
         ObjectSet("Q_FiboIn", OBJPROP_PRICE2, G_ilow_364);
      }
      ObjectSet("Q_FiboIn", OBJPROP_LEVELCOLOR, Q_MainFiboColor);
      ObjectSet("Q_FiboIn", OBJPROP_FIBOLEVELS, 7);
      ObjectSet("Q_FiboIn", OBJPROP_FIRSTLEVEL, 0.0);
      ObjectSetFiboDescription("Q_FiboIn", 0, "Quarter Yearly LOW (0.0) -  %$");
      ObjectSet("Q_FiboIn", 211, 0.236);
      ObjectSetFiboDescription("Q_FiboIn", 1, "(23.6) -  %$");
      ObjectSet("Q_FiboIn", 212, 0.382);
      ObjectSetFiboDescription("Q_FiboIn", 2, "(38.2) -  %$");
      ObjectSet("Q_FiboIn", 213, 0.5);
      ObjectSetFiboDescription("Q_FiboIn", 3, "(50.0) -  %$");
      ObjectSet("Q_FiboIn", 214, 0.618);
      ObjectSetFiboDescription("Q_FiboIn", 4, "(61.8) -  %$");
     
      ObjectSet("Q_FiboIn", 216, 1.0);
      ObjectSetFiboDescription("Q_FiboIn", 6, "Quarter Yearly HIGH (100.0) -  %$");
      ObjectSet("Q_FiboIn", OBJPROP_RAY, TRUE);
      ObjectSet("Q_FiboIn", OBJPROP_BACK, TRUE);
   } else ObjectDelete("Q_FiboIn");
   return (0);
}

// 2F476546BEF464ED4729DC39B389DE15
int f0_1() {
   if (ObjectFind("H_FiboUp") == -1) ObjectCreate("H_FiboUp", OBJ_FIBO, 0, G_datetime_444, G_ihigh_380 + Gd_396, G_datetime_444, G_ihigh_380);
   else {
      ObjectSet("H_FiboUp", OBJPROP_TIME2, G_datetime_444);
      ObjectSet("H_FiboUp", OBJPROP_TIME1, G_datetime_444);
      ObjectSet("H_FiboUp", OBJPROP_PRICE1, G_ihigh_380 + Gd_396);
      ObjectSet("H_FiboUp", OBJPROP_PRICE2, G_ihigh_380);
   }
   ObjectSet("H_FiboUp", OBJPROP_LEVELCOLOR, H_UpperFiboColor);
   ObjectSet("H_FiboUp", OBJPROP_FIBOLEVELS, 13);
   ObjectSet("H_FiboUp", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("H_FiboUp", 0, "(100.0%) -  %$");
   ObjectSet("H_FiboUp", 211, 0.236);
   ObjectSetFiboDescription("H_FiboUp", 1, "(123.6%) -  %$");
   ObjectSet("H_FiboUp", 212, 0.382);
   ObjectSetFiboDescription("H_FiboUp", 2, "(138.2%) -  %$");
   ObjectSet("H_FiboUp", 213, 0.5);
   ObjectSetFiboDescription("H_FiboUp", 3, "(150.0%) -  %$");
   ObjectSet("H_FiboUp", 214, 0.618);
   ObjectSetFiboDescription("H_FiboUp", 4, "(161.8%) -  %$");
   
   ObjectSet("H_FiboUp", 216, 1.0);
   ObjectSetFiboDescription("H_FiboUp", 6, "(200.0%) -  %$");
   ObjectSet("H_FiboUp", 217, 1.236);
   ObjectSetFiboDescription("H_FiboUp", 7, "(223.6%) -  %$");
   ObjectSet("H_FiboUp", 218, 1.5);
   ObjectSetFiboDescription("H_FiboUp", 8, "(250.0%) -  %$");
   ObjectSet("H_FiboUp", 219, 1.618);
   ObjectSetFiboDescription("H_FiboUp", 9, "(261.8%) -  %$");
   ObjectSet("H_FiboUp", 220, 2.0);
   ObjectSetFiboDescription("H_FiboUp", 10, "(300.0%) -  %$");
   ObjectSet("H_FiboUp", 221, 2.5);
   ObjectSetFiboDescription("H_FiboUp", 11, "(350.0%) -  %$");
   ObjectSet("H_FiboUp", 222, 3.0);
   ObjectSetFiboDescription("H_FiboUp", 12, "(400.0%) -  %$");
   ObjectSet("H_FiboUp", 223, 3.5);
   ObjectSetFiboDescription("H_FiboUp", 13, "(450.0%) -  %$");
   ObjectSet("H_FiboUp", 224, 4.0);
   ObjectSetFiboDescription("H_FiboUp", 14, "(500.0%) -  %$");
   ObjectSet("H_FiboUp", OBJPROP_RAY, TRUE);
   ObjectSet("H_FiboUp", OBJPROP_BACK, TRUE);
   if (ObjectFind("H_FiboDn") == -1) ObjectCreate("H_FiboDn", OBJ_FIBO, 0, G_datetime_444, G_ilow_388 - Gd_396, G_datetime_444, G_ilow_388);
   else {
      ObjectSet("H_FiboDn", OBJPROP_TIME2, G_datetime_444);
      ObjectSet("H_FiboDn", OBJPROP_TIME1, G_datetime_444);
      ObjectSet("H_FiboDn", OBJPROP_PRICE1, G_ilow_388 - Gd_396);
      ObjectSet("H_FiboDn", OBJPROP_PRICE2, G_ilow_388);
   }
   ObjectSet("H_FiboDn", OBJPROP_LEVELCOLOR, H_LowerFiboColor);
   ObjectSet("H_FiboDn", OBJPROP_FIBOLEVELS, 19);
   ObjectSet("H_FiboDn", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("H_FiboDn", 0, "(0.0%) -  %$");
   ObjectSet("H_FiboDn", 211, 0.236);
   ObjectSetFiboDescription("H_FiboDn", 1, "(-23.6%) -  %$");
   ObjectSet("H_FiboDn", 212, 0.382);
   ObjectSetFiboDescription("H_FiboDn", 2, "(-38.2%) -  %$");
   ObjectSet("H_FiboDn", 213, 0.5);
   ObjectSetFiboDescription("H_FiboDn", 3, "(-50.0%) -  %$");
   ObjectSet("H_FiboDn", 214, 0.618);
   ObjectSetFiboDescription("H_FiboDn", 4, "(-61.8%) -  %$");
  
   ObjectSet("H_FiboDn", 216, 1.0);
   ObjectSetFiboDescription("H_FiboDn", 6, "(-100.0%) -  %$");
   ObjectSet("H_FiboDn", 217, 1.236);
   ObjectSetFiboDescription("H_FiboDn", 7, "(-123.6%) -  %$");
   ObjectSet("H_FiboDn", 218, 1.382);
   ObjectSetFiboDescription("H_FiboDn", 8, "(-138.2%) -  %$");
   ObjectSet("H_FiboDn", 219, 1.5);
   ObjectSetFiboDescription("H_FiboDn", 9, "(-150.0%) -  %$");
   ObjectSet("H_FiboDn", 220, 1.618);
   ObjectSetFiboDescription("H_FiboDn", 10, "(-161.8%) -  %$");
  
   ObjectSet("H_FiboDn", 222, 2.0);
   ObjectSetFiboDescription("H_FiboDn", 12, "(-200.0%) -  %$");
   ObjectSet("H_FiboDn", 223, 2.5);
   ObjectSetFiboDescription("H_FiboDn", 13, "(-250.0%) -  %$");
   ObjectSet("H_FiboDn", 224, 3.0);
   ObjectSetFiboDescription("H_FiboDn", 14, "(-300.0%) -  %$");
   ObjectSet("H_FiboDn", 225, 3.5);
   ObjectSetFiboDescription("H_FiboDn", 15, "(-350.0%) -  %$");
   ObjectSet("H_FiboDn", 226, 4.0);
   ObjectSetFiboDescription("H_FiboDn", 16, "(-400.0%) -  %$");
   ObjectSet("H_FiboDn", 227, 4.5);
   ObjectSetFiboDescription("H_FiboDn", 17, "(-450.0%) -  %$");
   ObjectSet("H_FiboDn", 228, 5.0);
   ObjectSetFiboDescription("H_FiboDn", 18, "(-500.0%) -  %$");
   ObjectSet("H_FiboDn", OBJPROP_RAY, TRUE);
   ObjectSet("H_FiboDn", OBJPROP_BACK, TRUE);
   if (HalfYearly_InnerFibs) {
      if (ObjectFind("H_FiboIn") == -1) ObjectCreate("H_FiboIn", OBJ_FIBO, 0, G_datetime_444, G_ihigh_380, G_datetime_444, G_ilow_388);
      else {
         ObjectSet("H_FiboIn", OBJPROP_TIME2, G_datetime_444);
         ObjectSet("H_FiboIn", OBJPROP_TIME1, G_datetime_444);
         ObjectSet("H_FiboIn", OBJPROP_PRICE1, G_ihigh_380);
         ObjectSet("H_FiboIn", OBJPROP_PRICE2, G_ilow_388);
      }
      ObjectSet("H_FiboIn", OBJPROP_LEVELCOLOR, H_MainFiboColor);
      ObjectSet("H_FiboIn", OBJPROP_FIBOLEVELS, 7);
      ObjectSet("H_FiboIn", OBJPROP_FIRSTLEVEL, 0.0);
      ObjectSetFiboDescription("H_FiboIn", 0, "Half Yearly LOW (0.0) -  %$");
      ObjectSet("H_FiboIn", 211, 0.236);
      ObjectSetFiboDescription("H_FiboIn", 1, "(23.6) -  %$");
      ObjectSet("H_FiboIn", 212, 0.382);
      ObjectSetFiboDescription("H_FiboIn", 2, "(38.2) -  %$");
      ObjectSet("H_FiboIn", 213, 0.5);
      ObjectSetFiboDescription("H_FiboIn", 3, "(50.0) -  %$");
      ObjectSet("H_FiboIn", 214, 0.618);
      ObjectSetFiboDescription("H_FiboIn", 4, "(61.8) -  %$");
     
      ObjectSet("H_FiboIn", 216, 1.0);
      ObjectSetFiboDescription("H_FiboIn", 6, "Half Yearly HIGH (100.0) -  %$");
      ObjectSet("H_FiboIn", OBJPROP_RAY, TRUE);
      ObjectSet("H_FiboIn", OBJPROP_BACK, TRUE);
   } else ObjectDelete("H_FiboIn");
   return (0);
}

// 96410BCF0ADA5A964755F78BAF0FCAC3
int f0_5() {
   if (ObjectFind("Y_FiboUp") == -1) ObjectCreate("Y_FiboUp", OBJ_FIBO, 0, G_datetime_448, G_ihigh_404 + Gd_420, G_datetime_448, G_ihigh_404);
   else {
      ObjectSet("Y_FiboUp", OBJPROP_TIME2, G_datetime_448);
      ObjectSet("Y_FiboUp", OBJPROP_TIME1, G_datetime_448);
      ObjectSet("Y_FiboUp", OBJPROP_PRICE1, G_ihigh_404 + Gd_420);
      ObjectSet("Y_FiboUp", OBJPROP_PRICE2, G_ihigh_404);
   }
   ObjectSet("Y_FiboUp", OBJPROP_LEVELCOLOR, Y_UpperFiboColor);
   ObjectSet("Y_FiboUp", OBJPROP_FIBOLEVELS, 13);
   ObjectSet("Y_FiboUp", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("Y_FiboUp", 0, "(100.0%) -  %$");
   ObjectSet("Y_FiboUp", 211, 0.236);
   ObjectSetFiboDescription("Y_FiboUp", 1, "(123.6%) -  %$");
   ObjectSet("Y_FiboUp", 212, 0.382);
   ObjectSetFiboDescription("Y_FiboUp", 2, "(138.2%) -  %$");
   ObjectSet("Y_FiboUp", 213, 0.5);
   ObjectSetFiboDescription("Y_FiboUp", 3, "(150.0%) -  %$");
   ObjectSet("Y_FiboUp", 214, 0.618);
   ObjectSetFiboDescription("Y_FiboUp", 4, "(161.8%) -  %$");
   
   ObjectSet("Y_FiboUp", 216, 1.0);
   ObjectSetFiboDescription("Y_FiboUp", 6, "(200.0%) -  %$");
   ObjectSet("Y_FiboUp", 217, 1.236);
   ObjectSetFiboDescription("Y_FiboUp", 7, "(223.6%) -  %$");
   ObjectSet("Y_FiboUp", 218, 1.5);
   ObjectSetFiboDescription("Y_FiboUp", 8, "(250.0%) -  %$");
   ObjectSet("Y_FiboUp", 219, 1.618);
   ObjectSetFiboDescription("Y_FiboUp", 9, "(261.8%) -  %$");
   ObjectSet("Y_FiboUp", 220, 2.0);
   ObjectSetFiboDescription("Y_FiboUp", 10, "(300.0%) -  %$");
   ObjectSet("Y_FiboUp", 221, 2.5);
   ObjectSetFiboDescription("Y_FiboUp", 11, "(350.0%) -  %$");
   ObjectSet("Y_FiboUp", 222, 3.0);
   ObjectSetFiboDescription("Y_FiboUp", 12, "(400.0%) -  %$");
   ObjectSet("Y_FiboUp", 223, 3.5);
   ObjectSetFiboDescription("Y_FiboUp", 13, "(450.0%) -  %$");
   ObjectSet("Y_FiboUp", 224, 4.0);
   ObjectSetFiboDescription("Y_FiboUp", 14, "(500.0%) -  %$");
   ObjectSet("Y_FiboUp", OBJPROP_RAY, TRUE);
   ObjectSet("Y_FiboUp", OBJPROP_BACK, TRUE);
   if (ObjectFind("Y_FiboDn") == -1) ObjectCreate("Y_FiboDn", OBJ_FIBO, 0, G_datetime_448, G_ilow_412 - Gd_420, G_datetime_448, G_ilow_412);
   else {
      ObjectSet("Y_FiboDn", OBJPROP_TIME2, G_datetime_448);
      ObjectSet("Y_FiboDn", OBJPROP_TIME1, G_datetime_448);
      ObjectSet("Y_FiboDn", OBJPROP_PRICE1, G_ilow_412 - Gd_420);
      ObjectSet("Y_FiboDn", OBJPROP_PRICE2, G_ilow_412);
   }
   ObjectSet("Y_FiboDn", OBJPROP_LEVELCOLOR, Y_LowerFiboColor);
   ObjectSet("Y_FiboDn", OBJPROP_FIBOLEVELS, 19);
   ObjectSet("Y_FiboDn", OBJPROP_FIRSTLEVEL, 0.0);
   ObjectSetFiboDescription("Y_FiboDn", 0, "(0.0%) -  %$");
   ObjectSet("Y_FiboDn", 211, 0.236);
   ObjectSetFiboDescription("Y_FiboDn", 1, "(-23.6%) -  %$");
   ObjectSet("Y_FiboDn", 212, 0.382);
   ObjectSetFiboDescription("Y_FiboDn", 2, "(-38.2%) -  %$");
   ObjectSet("Y_FiboDn", 213, 0.5);
   ObjectSetFiboDescription("Y_FiboDn", 3, "(-50.0%) -  %$");
   ObjectSet("Y_FiboDn", 214, 0.618);
   ObjectSetFiboDescription("Y_FiboDn", 4, "(-61.8%) -  %$");
   
   ObjectSet("Y_FiboDn", 216, 1.0);
   ObjectSetFiboDescription("Y_FiboDn", 6, "(-100.0%) -  %$");
   ObjectSet("Y_FiboDn", 217, 1.236);
   ObjectSetFiboDescription("Y_FiboDn", 7, "(-123.6%) -  %$");
   ObjectSet("Y_FiboDn", 218, 1.382);
   ObjectSetFiboDescription("Y_FiboDn", 8, "(-138.2%) -  %$");
   ObjectSet("Y_FiboDn", 219, 1.5);
   ObjectSetFiboDescription("Y_FiboDn", 9, "(-150.0%) -  %$");
   ObjectSet("Y_FiboDn", 220, 1.618);
   ObjectSetFiboDescription("Y_FiboDn", 10, "(-161.8%) -  %$");
   
   ObjectSet("Y_FiboDn", 222, 2.0);
   ObjectSetFiboDescription("Y_FiboDn", 12, "(-200.0%) -  %$");
   ObjectSet("Y_FiboDn", 223, 2.5);
   ObjectSetFiboDescription("Y_FiboDn", 13, "(-250.0%) -  %$");
   ObjectSet("Y_FiboDn", 224, 3.0);
   ObjectSetFiboDescription("Y_FiboDn", 14, "(-300.0%) -  %$");
   ObjectSet("Y_FiboDn", 225, 3.5);
   ObjectSetFiboDescription("Y_FiboDn", 15, "(-350.0%) -  %$");
   ObjectSet("Y_FiboDn", 226, 4.0);
   ObjectSetFiboDescription("Y_FiboDn", 16, "(-400.0%) -  %$");
   ObjectSet("Y_FiboDn", 227, 4.5);
   ObjectSetFiboDescription("Y_FiboDn", 17, "(-450.0%) -  %$");
   ObjectSet("Y_FiboDn", 228, 5.0);
   ObjectSetFiboDescription("Y_FiboDn", 18, "(-500.0%) -  %$");
   ObjectSet("Y_FiboDn", OBJPROP_RAY, TRUE);
   ObjectSet("Y_FiboDn", OBJPROP_BACK, TRUE);
   if (Yearly_InnerFibs) {
      if (ObjectFind("Y_FiboIn") == -1) ObjectCreate("Y_FiboIn", OBJ_FIBO, 0, G_datetime_448, G_ihigh_404, G_datetime_448 + 2592000, G_ilow_412);
      else {
         ObjectSet("Y_FiboIn", OBJPROP_TIME2, G_datetime_448);
         ObjectSet("Y_FiboIn", OBJPROP_TIME1, G_datetime_448 + 2592000);
         ObjectSet("Y_FiboIn", OBJPROP_PRICE1, G_ihigh_404);
         ObjectSet("Y_FiboIn", OBJPROP_PRICE2, G_ilow_412);
      }
      ObjectSet("Y_FiboIn", OBJPROP_LEVELCOLOR, Y_MainFiboColor);
      ObjectSet("Y_FiboIn", OBJPROP_FIBOLEVELS, 7);
      ObjectSet("Y_FiboIn", OBJPROP_FIRSTLEVEL, 0.0);
      ObjectSetFiboDescription("Y_FiboIn", 0, "Yearly LOW (0.0) -  %$");
      ObjectSet("Y_FiboIn", 211, 0.236);
      ObjectSetFiboDescription("Y_FiboIn", 1, "(23.6) -  %$");
      ObjectSet("Y_FiboIn", 212, 0.382);
      ObjectSetFiboDescription("Y_FiboIn", 2, "(38.2) -  %$");
      ObjectSet("Y_FiboIn", 213, 0.5);
      ObjectSetFiboDescription("Y_FiboIn", 3, "(50.0) -  %$");
      ObjectSet("Y_FiboIn", 214, 0.618);
      ObjectSetFiboDescription("Y_FiboIn", 4, "(61.8) -  %$");
     
      ObjectSet("Y_FiboIn", 216, 1.0);
      ObjectSetFiboDescription("Y_FiboIn", 6, "Yearly HIGH (100.0) -  %$");
      ObjectSet("Y_FiboIn", OBJPROP_RAY, TRUE);
      ObjectSet("Y_FiboIn", OBJPROP_BACK, TRUE);
   } else ObjectDelete("Y_FiboIn");
   return (0);
}
