//+------------------------------------------------------------------+
//|                                                    SinoSidal.mq4 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"


#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Green
#property indicator_color2 Red
#property indicator_color3 Yellow
#property indicator_color4 Purple


extern int ArbRing=0;
extern int avg=14;
extern int bigAvg=200;
extern int depth=20;
extern double lots=0.1;


string ArbitrageRings[10][3];

double Sine1Buffer[];
double Sine2Buffer[];
double Sine3Buffer[];
double Sine4Buffer[];

int windowIndex;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  
         
//---- indicators
         //SetIndexDrawBegin(Bars,0);
         SetIndexBuffer(0,Sine1Buffer);
         SetIndexStyle(0,DRAW_LINE);
         //SetIndexShift(0,100);
         
         //SetIndexDrawBegin(Bars,0);
         SetIndexBuffer(1,Sine2Buffer);
         SetIndexStyle(1,DRAW_LINE);
         //SetIndexShift(1,100);
         
         //SetIndexDrawBegin(2,100);
         SetIndexBuffer(2,Sine3Buffer);
         SetIndexStyle(2,DRAW_LINE);
         //SetIndexShift(2,100);
         
          SetIndexBuffer(3,Sine4Buffer);
         SetIndexStyle(3,DRAW_LINE);
         
         //Sine1Start=Sine1Start+FutureShift;
         //Sine2Start=Sine2Start+FutureShift;
         //Sine3Start=Sine3Start+FutureShift;
         
          ArbitrageRings[0][0]="EURJPY";
         ArbitrageRings[0][1]="EURUSD";
         ArbitrageRings[0][2]="USDJPY";
         // 2. GBPJPY,GBPUSD,USDJPY
         ArbitrageRings[1][0]="GBPJPY";
         ArbitrageRings[1][1]="GBPUSD";
         ArbitrageRings[1][2]="USDJPY";
         // 3. EURUSD,EURGBP,GBPUSD
         ArbitrageRings[2][0]="EURUSD";
         ArbitrageRings[2][1]="EURGBP";
         ArbitrageRings[2][2]="GBPUSD";
         // 4. EURUSD,AUSUSD, EURAUD
         ArbitrageRings[3][0]="EURUSD";
         ArbitrageRings[3][1]="AUDUSD";
         ArbitrageRings[3][2]="EURAUD";
         
         // 5. GBPCHF,GBPUSD,USDCHF
         ArbitrageRings[4][0]="GBPCHF";
         ArbitrageRings[4][1]="GBPUSD";
         ArbitrageRings[4][2]="USDCHF";
         // 6. GBPUSD,GBPAUD,AUDUSD
         ArbitrageRings[5][0]="GBPUSD";
         ArbitrageRings[5][1]="GBPAUD";
         ArbitrageRings[5][2]="AUDUSD";
         // 7. EURJPY,CADJPY,EURCAD
         ArbitrageRings[6][0]="EURJPY";
         ArbitrageRings[6][1]="CADJPY";
         ArbitrageRings[6][2]="EURCAD";
         // 8.GBPJPY, GBPCHF,CHFJPY
         ArbitrageRings[7][0]="GBPJPY";
         ArbitrageRings[7][1]="GBPCHF";
         ArbitrageRings[7][2]="CHFJPY";
         // 9.EURJPY, EURCHF,CHFJPY
         ArbitrageRings[8][0]="EURJPY";
         ArbitrageRings[8][1]="EURCHF";
         ArbitrageRings[8][2]="CHFJPY";
         // 10.USDJPY, USDCHF,CHFJPY
         ArbitrageRings[9][0]="USDJPY";
         ArbitrageRings[9][1]="USDCHF";
         ArbitrageRings[9][2]="CHFJPY";
         
         ObjectCreate("ARJ-"+"IndActiveRing", OBJ_LABEL, 0, 0, 0);
         
         ObjectSet("ARJ-"+"IndActiveRing", OBJPROP_CORNER, 3);
         ObjectSet("ARJ-"+"IndActiveRing", OBJPROP_XDISTANCE, 10);
         ObjectSet("ARJ-"+"IndActiveRing", OBJPROP_YDISTANCE, 10);
          ObjectSetText("ARJ-"+"IndActiveRing","IARing:"+IntegerToString(ArbRing)+" : "+ArbitrageRings[ArbRing][0]+" : "+ArbitrageRings[ArbRing][1]+ " : "+ArbitrageRings[ArbRing][2], 7, "Courier", Yellow);      
       // IndicatorSetString(0,"Yup thisis Good"+IntegerToString(ArbRing)+" : "+ArbitrageRings[ArbRing][0]+" : "+ArbitrageRings[ArbRing][1]+ " : "+ArbitrageRings[ArbRing][2]);
      string shortName="Arb Rng "+IntegerToString(ArbRing)+" : "+ArbitrageRings[ArbRing][0]+" : "+ArbitrageRings[ArbRing][1]+ " : "+ArbitrageRings[ArbRing][2];
      IndicatorShortName(shortName);
      SetIndexLabel(0,"Cur("+ArbitrageRings[ArbRing][0]+")");
      SetIndexLabel(1,"Cur("+ArbitrageRings[ArbRing][1]+")");
      SetIndexLabel(2,"Cur("+ArbitrageRings[ArbRing][2]+")");
        
 
      windowIndex=WindowFind(shortName);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int limit=0;
   int theta=180;
   
      if(counted_bars > 0)
      {  
            counted_bars--;
      }
      
      limit=Bars-counted_bars;
   
//----
         for(int i=limit; i>0; i--)
         {
           
            
               double factor=MarketInfo(ArbitrageRings[ArbRing][0],MODE_BID);
               double factor2=MarketInfo(ArbitrageRings[ArbRing][1],MODE_BID);
               double factor3=MarketInfo(ArbitrageRings[ArbRing][2],MODE_BID);
               
               double min=MathMin(factor,MathMin(factor2,factor3));
               
               factor=factor/min;
               factor2=factor2/min;
               factor3=factor3/min;
               
               double multiplier=factor*factor2*factor3;
            
              
               double openCurr1=iOpen(ArbitrageRings[ArbRing][0],Period(),i+depth);
               double closeCurr1=iClose(ArbitrageRings[ArbRing][0],Period(),i);
               double profitCurr1=(closeCurr1-openCurr1)*factor2*factor3;//*lots*MarketInfo(ArbitrageRings[ArbRing][0],MODE_TICKVALUE);
               
              
               
               double openCurr2=iOpen(ArbitrageRings[ArbRing][1],Period(),i+depth);
               double closeCurr2=iClose(ArbitrageRings[ArbRing][1],Period(),i);
               double profitCurr2=(closeCurr2-openCurr2)*factor*factor3;//*lots*MarketInfo(ArbitrageRings[ArbRing][1],MODE_TICKVALUE);
               
               
                 double openCurr3=iOpen(ArbitrageRings[ArbRing][2],Period(),i+depth);
               double closeCurr3=iClose(ArbitrageRings[ArbRing][2],Period(),i);
               double profitCurr3=(closeCurr3-openCurr3)*factor*factor2;//*lots*MarketInfo(ArbitrageRings[ArbRing][2],MODE_TICKVALUE);
               
               //Print("P1=",profitCurr1,"   p2=",profitCurr2," p3=",profitCurr3);
               
             Sine1Buffer[i]=profitCurr1;
             Sine2Buffer[i]=profitCurr2;
             Sine3Buffer[i]=profitCurr3;
            
         }
         
            ObjectDelete("ARJ-CurrInd");
            ObjectCreate(ChartID(),"ARJ-CurrInd", OBJ_LABEL, windowIndex, 0, 0);
            ObjectSet("ARJ-CurrInd", OBJPROP_CORNER, CORNER_RIGHT_UPPER);
            ObjectSet("ARJ-CurrInd", OBJPROP_XDISTANCE, 5);
            ObjectSet("ARJ-CurrInd", OBJPROP_YDISTANCE, 10);
           // ObjectCreate(ChartID(),"ARJ-CurrInd",OBJ_TEXT,windowIndex,iTime(ArbitrageRings[ArbRing][2],Period(),0),0);
            ObjectSetText("ARJ-CurrInd",ArbitrageRings[ArbRing][0] , 7, "TimesNewRoman",Green);
             
             ObjectDelete("ARJ-CurrInd2");
             
            ObjectDelete("ARJ-CurrInd2");
            ObjectCreate(ChartID(),"ARJ-CurrInd2", OBJ_LABEL, windowIndex, 0, 0);
            ObjectSet("ARJ-CurrInd2", OBJPROP_CORNER, CORNER_RIGHT_UPPER);
            ObjectSet("ARJ-CurrInd2", OBJPROP_XDISTANCE, 5);
            ObjectSet("ARJ-CurrInd2", OBJPROP_YDISTANCE, 20); 
            //ObjectCreate(ChartID(),"ARJ-CurrInd2",OBJ_TEXT,windowIndex,iTime(ArbitrageRings[ArbRing][2],Period(),0),0);
            ObjectSetText("ARJ-CurrInd2",ArbitrageRings[ArbRing][1] , 7, "TimesNewRoman",Red);
            
             ObjectDelete("ARJ-CurrInd3");
             
            ObjectCreate(ChartID(),"ARJ-CurrInd3", OBJ_LABEL, windowIndex, 0, 0);
            ObjectSet("ARJ-CurrInd3", OBJPROP_CORNER, CORNER_RIGHT_UPPER);
            ObjectSet("ARJ-CurrInd3", OBJPROP_XDISTANCE, 5);
            ObjectSet("ARJ-CurrInd3", OBJPROP_YDISTANCE, 30);
            //ObjectCreate(ChartID(),"ARJ-CurrInd3",OBJ_TEXT,windowIndex,iTime(ArbitrageRings[ArbRing][2],Period(),0),0);
            ObjectSetText("ARJ-CurrInd3",ArbitrageRings[ArbRing][2] , 7, "TimesNewRoman",Yellow);
         
        
       
//----
   return(0);
  }
  
  
 
  
//+------------------------------------------------------------------+